FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000912FL54. Element, Byte, Record or other APIpublic2018-03-05 08:032018-08-01 08:39
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.16 
Target Version5.1.18Fixed in Version5.1.18 
Summary0000912: Support multiple writes on the byte interface
DescriptionThe multiple writes (and outputs) known form the UP and FLCL untility are also useful on the byte, records and stream interfaces.

Esspecially the flucFS and z/OS subsystem will have advantage of this.

The data is read from memory and neutralized once and can then multiple times written to files or other targets.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000888resolvedUlrich Schwab Support an application transparent file conversion, compression and encryption solution like z/OS-Subsys for open systems 

-  Notes
(0001162)
Falk Reichbott (administrator)
2018-08-01 08:39

All memory to file APIs which are used to write original data, supporting now multiple write overlays or output objects.

This is useful to write the same data in different formats in one step to different files. For example: The same Text is written in UTF-8 with 0x0A as delimiter to a GZIP file for UNIX, in CP1252 with 0x0D0A to a ZIP-Archive for Windows and another one in EBCDIC (IBM1141) as record (no delimiter) to a FLAM archive for z/OS.

- Issue History
Date Modified Username Field Change
2018-03-05 08:03 Falk Reichbott New Issue
2018-03-05 08:03 Falk Reichbott Status new => assigned
2018-03-05 08:03 Falk Reichbott Assigned To => Falk Reichbott
2018-03-08 18:48 Falk Reichbott Relationship added related to 0000888
2018-08-01 08:39 Falk Reichbott Note Added: 0001162
2018-08-01 08:39 Falk Reichbott Status assigned => resolved
2018-08-01 08:39 Falk Reichbott Fixed in Version => 5.1.18
2018-08-01 08:39 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker